Subject: bug#28801: 26.0.90; Document after-make-frame-functions, focus-in-hook in Startup Summary node

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 12 Oct 2019 22:31:35 +0200

Eli Zaretskii <[email-masked]> writes:

>> I have read through (elisp) Startup Summary, but it does not
>> reference after-make-frame-functions and its
>> caveat with emacsclient. It also does not reference focus-in-hook.
>> 
>> I believe having that information in that section will be very
>> valuable to other users using emacsclient in GUI
>> frame.
>
> These hooks are not related to startup, so I don't see why they should
> be described in that section.  They would be out of place there, and
> the resulting discoverability will be low.
>
> There is a separate section that describes all of the hooks, and I
> usually look there when I need some hook, but don't know which one to
> use.

And those hooks are mentioned in that node, so I don't think there's
anything to fix here.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no